defmodule Scaffolding.MixProject do
  use Mix.Project

  def project do
    [
      app: :live_scaffolding,
      version: "0.2.0",
      elixir: "~> 1.9",
      description: description(),
      package: package(),
      start_permanent: Mix.env() == :prod,
      deps: deps(),
      name: "live_scaffolding",
      source_url: "https://github.com/apprenticesjourney/live_scaffolding",
      docs: [
        main: "readme",
        extras: ["README.md"]
      ]
    ]
  end

  defp description do
    """
      Live Scaffolding dep for generate view controllers, live views and scaffold crud models
    """
  end

  defp package do
    [
      name: "live_scaffolding",
      files: ["lib", "mix.exs", "README*"],
      maintainers: ["Carlo Gilmar"],
      licenses: ["BSD 3-Clause License"],
      links: %{"GitHub" => "https://github.com/apprenticesjourney/live_scaffolding"}
    ]
  end

  def application do
    [
      extra_applications: [:logger]
    ]
  end

  defp deps do
    [
      {:ex_doc, ">= 0.0.0", only: :dev, runtime: false}
    ]
  end
end
